Bug 195799 - [NEW PORT] devel/ponscripter-sekai: ONScripter fork with UTF-8 support (Sekai Project)
Summary: [NEW PORT] devel/ponscripter-sekai: ONScripter fork with UTF-8 support (Sekai...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks: 195800
  Show dependency treegraph
 
Reported: 2014-12-08 08:40 UTC by Jan Beich
Modified: 2015-02-10 21:25 UTC (History)
0 users

See Also:


Attachments
shar, v0 (2.47 KB, text/plain)
2014-12-08 08:40 UTC, Jan Beich
no flags Details
|poudriere testport| log (9.3R i386) (40.20 KB, text/plain)
2014-12-08 08:42 UTC, Jan Beich
no flags Details
shar, v0.1 (2.83 KB, text/plain)
2014-12-08 09:43 UTC, Jan Beich
no flags Details
|poudriere testport| log (9.3R i386) (41.60 KB, text/plain)
2014-12-08 09:43 UTC, Jan Beich
no flags Details
shar, v0.2 (2.87 KB, text/plain)
2014-12-08 14:11 UTC, Jan Beich
no flags Details
shar, v0.2.1 (2.87 KB, text/plain)
2014-12-14 14:02 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (8.4R amd64) (50.49 KB, text/plain)
2014-12-15 05:45 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-12-08 08:40:27 UTC
Created attachment 150336 [details]
shar, v0

Ponscripter is an interpreter for visual-novel-type games, derived
from ONScripter but modified significantly to improve support for
Western languages (at the cost of diminished support for Japanese).

This fork takes advantage of SDL2 and improves Steam integration.

WWW: https://github.com/sekaiproject/ponscripter-fork
Comment 1 Jan Beich freebsd_committer 2014-12-08 08:42:59 UTC
Created attachment 150337 [details]
|poudriere testport| log (9.3R i386)

$ portlint -A
WARN: Makefile: [49]: use ${VARIABLE}, instead of $(VARIABLE).
0 fatal errors and 1 warning found.

The above warning is false positive. $(..) preserves style in the vendor makefile.
Comment 2 Jan Beich freebsd_committer 2014-12-08 09:43:00 UTC
Created attachment 150342 [details]
shar, v0.1

- install docs and emacs mode
- borrow COMMENT from debian/control
Comment 3 Jan Beich freebsd_committer 2014-12-08 09:43:30 UTC
Created attachment 150343 [details]
|poudriere testport| log (9.3R i386)
Comment 4 Jan Beich freebsd_committer 2014-12-08 14:11:53 UTC
Created attachment 150351 [details]
shar, v0.2

Respect STRIP for WITH_DEBUG.
Comment 5 Jan Beich freebsd_committer 2014-12-14 14:02:28 UTC
Created attachment 150563 [details]
shar, v0.2.1

Slightly adjust dependencies:
- depend on libvorbisfile.so instead of libvorbis.so
- don't depend on sdl2, already implied by sdl_image2 and sdl_mixer2
Comment 6 Jan Beich freebsd_committer 2014-12-15 05:45:22 UTC
Created attachment 150597 [details]
|poudriere testport -P| log (8.4R amd64)
Comment 7 John Marino freebsd_committer 2015-02-06 17:18:02 UTC
assigning PR to submitter who now has commit access.
Comment 8 commit-hook freebsd_committer 2015-02-10 21:04:26 UTC
A commit references this bug:

Author: jbeich
Date: Tue Feb 10 21:04:02 UTC 2015
New revision: 378798
URL: https://svnweb.freebsd.org/changeset/ports/378798

Log:
  Add new port: devel/ponscripter-sekai

  PR:		195799
  Differential Revision:	https://reviews.freebsd.org/D1804
  Approved by:	bapt (mentor)

  Ponscripter is an interpreter for visual-novel-type games, derived from
  the NScripter design but modified significantly to improve support for
  Western languages (at the cost of diminished support for Japanese).

  Ponscripter is a fork of ONScripter-En that drops any attempt to remain
  in synch with the upstream source code, and instead concentrates on
  providing the best possible support for Western languages. It is no
  longer fully NScripter-compatible, but remains an easy target to port
  NScripter games to when localising them.

  This fork takes advantage of SDL2 and improves Steam integration.

  WWW: https://github.com/sekaiproject/ponscripter-fork

Changes:
  head/devel/Makefile
  head/devel/ponscripter-sekai/
  head/devel/ponscripter-sekai/Makefile
  head/devel/ponscripter-sekai/distinfo
  head/devel/ponscripter-sekai/files/
  head/devel/ponscripter-sekai/files/patch-doc_ponscr-ext.7.xml
  head/devel/ponscripter-sekai/pkg-descr